
QGIS Application - Bug report #2720

CMake Error at cmake/FindPyQt4.cmake:58 (MATH)

2010-05-14 11:52 PM - Maciej Sieczka -

Status: Closed

Priority: Low

Assignee: nobody -

Category: Build/Install

Affected QGIS version: Regression?: No

Operating System: Debian Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed

Crashes QGIS or corrupts data: Copied to github as #: 12780

Description

There's an error at build time in trunk r13487:

-- Found [[PyQt]]4 version: 4.6

CMake Error at cmake/FindPyQt4.cmake:58 (MATH):

  math cannot parse the expression: "4.6*10000 + 4.6*100 + 4.6": syntax

  error, unexpected exp_NUMBER, expecting $end (4)

Call Stack (most recent call first):

  CMakeLists.txt:359 (FIND_PACKAGE)

CMake Warning (dev) at python/CMakeLists.txt:38 (IF):

  given arguments:

    "LESS" "40600" 

  Unknown arguments specified

This warning is for project developers.  Use -Wno-dev to suppress it.

-- Configuring incomplete, errors occurred!

cmake 2.8.1, Python 2.5.5, Debian testing amd64.

Associated revisions

Revision dfe81190 - 2010-05-15 09:28 AM - Jürgen Fischer

fix #2720

git-svn-id: http://svn.osgeo.org/qgis/trunk/qgis@13488 c8812cc2-4d05-0410-92ff-de0c093fc19c

Revision 2b753a2e - 2010-05-15 09:28 AM - Jürgen Fischer

fix #2720

git-svn-id: http://svn.osgeo.org/qgis/trunk@13488 c8812cc2-4d05-0410-92ff-de0c093fc19c

History
http://svn.osgeo.org/qgis/trunk/qgis@13488
http://svn.osgeo.org/qgis/trunk@13488


#1 - 2010-05-15 12:29 AM - Jürgen Fischer

- Resolution set to fixed

- Status changed from Open to Closed

fixed in commit:2b753a2e (SVN r13489).
